Subject: Re: [dhcwg] New Version Notification for draft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 4 Nov 2015 05:44:13 +0000

Hi:

While reading this draft, the following text strikes me as odd:

   1. The DHCPFORCERENEW message does not contain any indication for the
      client to distinguish a reconfiguration of IP addresses from a
      reconfiguration of some other configuration information. As a
      result, the client always initiates a Renew/Reply transaction with
      the server, which typically lead to service interruptions.

What service disruption? A DHCPFORCENRENEW does not prevent a client from continuing to use its current address and configuration information? So, why would there be an disruption? Sure, if something has changed, until the client has renewed (perhaps it gets a DHCPNAK if the address it is using presently is no longer acceptable, and then must return to DHCPDISCOVER), but I don't see how that can be prevented or improved upon during that interval. And, the draft has nothing to address that issue anyway. So, I think this is a poor or incorrect statement/motivation.

The text in RFC 3203 I think that is later referenced, is:

   Note further that usage of the FORCERENEW message to reconfigure a
   client address or local configuration parameters can lead to the
   interruption of active sessions, and that as such these  procedures
   should be used in controlled circumstances.

And, sure if the address changes, there is service interruption. But again, the techniques in your draft can not and do not solve this issue so I don't see the point of mentioning them.

Your draft simply allows the use of DHCPINFORM rather than requiring a DHCPRENEW message. But if the client's address needs to change, your new draft's concepts can't be used and a "normal" DHCPFORCERENEW must be used.

- Bernie

-----Original Message-----
From: dhcwg [mailto:[email-masked]] On Behalf Of Luyuan Fang
Sent: Monday, October 19, 2015 10:02 PM
To: dhcwg <[email-masked]>
Cc: Deepak Bansal (AZURE) <[email-masked]>; Fabio Chiussi <[email-masked]>
Subject: [dhcwg] FW: New Version Notification for draft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt

Hi all,

We submitted a new version of draft-fang-dhc-dhcpv4-forcerenew-extensions.
We updated the draft based on Bernie and Christian's very helpful feedback on 00 version, thanks a lot, Bernie and Christian.

The intent of the draft is to extend the definition of the DHCPFORCERENEW message for parameter reconfiguration in DHCPv4. This extension makes the DHCPFORCERENEW message more suitable to reconfigure configuration parameters other than IP addresses, and aligns the behavior of the reconfiguration procedure in DHCPv4 to the corresponding behavior in DHCPv6.

We understand the DHC WG focus is on v6, and we are implementing DHCPv6 in our cloud solutions as well. It is a good thing to do.

In the meantime, we still have full of DHCPv4 in our cloud networks, cannot go away anytime soon. Our proposal is not calling for a big change, but it makes a lot of difference for the customers if we could avoid service interruption when only updating info without lease renew. So the proposed change is very important for us in providing reliable Cloud Services to customers.

We would very much appreciate your comments.

Thanks ,
Luyuan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, October 19, 2015 2:44 PM
To: Luyuan Fang <[email-masked]>; Fabio Chiussi <[email-masked]>; Deepak Bansal (AZURE) <[email-masked]>
Subject: New Version Notification for draft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt

A new version of I-D, draft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt
has been successfully submitted by Luyuan Fang and posted to the IETF repository.

Name:		draft-fang-dhc-dhcpv4-forcerenew-extensions
Revision:	01
Title:		Forcerenew Reconfiguration Extensions for DHCPv4
Document date:	2015-10-19
Group:		Individual Submission
Pages:		7
URL:            https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fwww.ietf.org%2finternet-drafts%2fdraft-fang-dhc-dhcpv4-forcerenew-extensions-01.txt&data=01%7c01%7clufang%40microsoft.com%7cf1f62db75ecb45fd763708d2d8ce76c9%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=XWQywRXXFlDEekzeP4L7L39A3WsU0LQvm23Akt49Go4%3d
Status:         https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fdatatracker.ietf.org%2fdoc%2fdraft-fang-dhc-dhcpv4-forcerenew-extensions%2f&data=01%7c01%7clufang%40microsoft.com%7cf1f62db75ecb45fd763708d2d8ce76c9%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=CVC2iRhJ0JlpX%2fsYLvO75c736QChR2gNjUUXtv4wjsM%3d
Htmlized:       https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2ftools.ietf.org%2fhtml%2fdraft-fang-dhc-dhcpv4-forcerenew-extensions-01&data=01%7c01%7clufang%40microsoft.com%7cf1f62db75ecb45fd763708d2d8ce76c9%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=7%2fyJBegjdkEyvzEpSxLR1krKwyr4EeVTBg1wDKsZP9w%3d
Diff:           https://na01.safelinks.protection.outlook.com/?url=https%3a%2f%2fwww.ietf.org%2frfcdiff%3furl2%3ddraft-fang-dhc-dhcpv4-forcerenew-extensions-01&data=01%7c01%7clufang%40microsoft.com%7cf1f62db75ecb45fd763708d2d8ce76c9%7c72f988bf86f141af91ab2d7cd011db47%7c1&sdata=lRgpr96THN9DT3%2bTJTBRBq9tdRKc8rWTDoUjnYcfwSs%3d

Abstract:
   This document extends the definition of the DHCPFORCERENEW message
   for parameter reconfiguration in DHCPv4. This extension makes the
   DHCPFORCERENEW message more suitable to reconfigure configuration
   parameters other than IP addresses, and aligns the behavior of the
   reconfiguration procedure in DHCPv4 to the corresponding behavior in
   DHCPv6.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg